/*
Lego Mindstorms model based on http://www.nxtprograms.com/explorer/index.html
(but with EVShield) or any other model with two motor driven wheels.
Overview of motor commands (methods): http://www.mindsensors.com/reference/EVShield/html/class_e_v_shield_bank.html

Setup for this example:
  attach external power to EVShield (6x AA battery pack)
  attach driving motors to motor ports Bank A M1 and M2
  used later:
  NXT touch sensor to BBS2
  attach top motor with ultrasonic sensor to motor port Bank B M1
  connect ultrasonic sensor (TRIG to pin 3, ECHO to pin 5 and Vcc to Arduino 5V pin and GND to a GND pin)

Adjust:
  Change the WHEEL_DIAM to match the diameter of the wheels used in your model!
  
Open the Serial terminal to view.
  It shows the calculated values of some variables. Check them for your model.
 */
#include "Explorer.h"

NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.

EVShield evshield(0x34,0x36);
EVs_NXTTouch touch;

Explorer robot;

void setup() {
    Serial.begin(115200);       // start serial port output, check for same speed at Serial Monitor!
    delay(2000);                // wait two seconds, allowing time to activate the serial monitor
    
    Serial.println("Use motors on Bank A to drive.");
    Serial.println("Press Go to start");
    //evshield.waitForButtonPress(BTN_GO);
    // initialize robot with addresses of objects:
    robot.init(&evshield, &sonar, &touch);
}

void loop() {
  robot.checkSensors();
  delay(200);
}


